#include <sys/types.h>
#include <dirent.h>
#include <sys/time.h> 
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#include <sys/socket.h>

#define NODEFINE
#include <u.h>
#include <libc.h>
#include <fcall.h>
#include "fd.h"

int
pm_stat(char *file, uchar *dat, int ndat)
{
	struct stat s;

	if(stat(file, &s) < 0){
		pm_oserror();
		return -1;
	}
	return pm_stat2buf(&s, file, dat, ndat);
}
